找回密码 注册 QQ登录
一站式解决方案

iCAx开思网

CAD/CAM/CAE/设计/模具 高清视频【积分说明】如何快速获得积分?快速3D打印 手板模型CNC加工服务在线3D打印服务,上传模型,自动报价
查看: 15985|回复: 3
打印 上一主题 下一主题

[求助] Inventor2008二次开发菜单加载遇到问题!

[复制链接]
跳转到指定楼层
1
发表于 2009-11-17 13:46:06 | 只看该作者 回帖奖励 |倒序浏览 |阅读模式

马上注册,结交更多同行朋友,交流,分享,学习。

您需要 登录 才可以下载或查看,没有帐号?注册

x
不知道什么原因,现在用Inventor2008二次开发,只要Inventor2008重新启动一次,菜单就会重复加载一次。导致二次开发的菜单越来越多。求救呀!
我的代码如下:
Public Function ssss()
    Dim oControlDefinitions As ControlDefinitions
    Set oControlDefinitions = ThisApplication.CommandManager.ControlDefinitions
   
   
    Set oButtonDefinition1 = oControlDefinitions.AddButtonDefinition( _
                       "Button 1", "invrSampleCommand1", _
                       kQueryOnlyCmdType, "CLSID of the AddIn", _
                       "This is button 1.", "Button 1")
' Create two more button definitions. One with an icon and one without.
Set oButtonDefinition2 = oControlDefinitions.AddButtonDefinition( _
                       "Button 2", "invrSampleCommand2", _
                       kQueryOnlyCmdType, "CLSID of the AddIn", _
                       "This is button 2.", "Button 2")
Set oButtonDefinition3 = oControlDefinitions.AddButtonDefinition( _
                       "Button 3", "invrSampleCommand3", _
                       kQueryOnlyCmdType, "CLSID of the AddIn", _
                       "This is button 3.", "Button 3")
                  
' Get the part environment object.
Dim oUIManager As UserInterfaceManager
Dim oPartEnv As Environment
Set oUIManager = ThisApplication.UserInterfaceManager
Set oPartEnv = oUIManager.Environments.Item("PMxPartEnvironment")
                                            
' Get the command bar that is used for the part menu.
Dim oPartMenuCB As CommandBar
Set oPartMenuCB = oPartEnv.DefaultMenuBar
' Create a command bar of a pop-up type for a flyout.
Dim oFlyOutCmdBar As CommandBar
Set oFlyOutCmdBar = oUIManager.CommandBars.Add("More Commands", _
           "FlyoutCmdBar", kPopUpCommandBar, "CLSID of the AddIn")
' Add two buttons to the fly-out command bar.
Call oFlyOutCmdBar.Controls.AddButton(oButtonDefinition2)
Call oFlyOutCmdBar.Controls.AddButton(oButtonDefinition3)
' Create a command bar of a pop-up type for a menu popup.
Dim oMenuPopupCmdBar As CommandBar
Set oMenuPopupCmdBar = oUIManager.CommandBars.Add("Test", _
           "MenuPopupCmdBar", kPopUpCommandBar, "CLSID of the AddIn")
' Add a command to the menu pop-up.
Call oMenuPopupCmdBar.Controls.AddButton(oButtonDefinition1)
' Add the fly-out to the menu pop-up.
Call oMenuPopupCmdBar.Controls.AddPopup(oFlyOutCmdBar)
' Get the index of the Help control.
Dim HelpIndex As Long
HelpIndex = oPartMenuCB.Controls.Item("AppHelpMenu").index
' Add the menu popup to part menu before the Help control.
Call oPartMenuCB.Controls.AddPopup(oMenuPopupCmdBar, HelpIndex)
End Function
分享到:  QQ好友和群QQ好友和群 QQ空间QQ空间 腾讯微博腾讯微博 腾讯朋友腾讯朋友
收藏收藏 分享淘帖 赞一下!赞一下!
2
 楼主| 发表于 2009-11-23 15:50:26 | 只看该作者

马上注册,结交更多同行朋友,交流,分享,学习。

您需要 登录 才可以下载或查看,没有帐号?注册

x
3
 楼主| 发表于 2009-12-1 10:36:48 | 只看该作者

马上注册,结交更多同行朋友,交流,分享,学习。

您需要 登录 才可以下载或查看,没有帐号?注册

x
4
 楼主| 发表于 2009-12-23 11:11:50 | 只看该作者

马上注册,结交更多同行朋友,交流,分享,学习。

您需要 登录 才可以下载或查看,没有帐号?注册

x
您需要登录后才可以回帖 登录 | 注册

本版积分规则

3D打印手板模型快速制作服务,在线报价下单!

QQ 咨询|手机版|联系我们|iCAx开思网  

GMT+8, 2024-12-1 13:05 , Processed in 0.023242 second(s), 11 queries , Gzip On, Redis On.

Powered by Discuz! X3.3

© 2002-2024 www.iCAx.org

快速回复 返回顶部 返回列表